package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部党费收支管理对象 t_branch_dues
 * 
 * @author ruoyi
 * @date 2023-07-14
 */
public class TBranchDues extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long duesId;

    /** 年份 */
    private String duesYear;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date duesTime;

    /** 项目 */
    @Excel(name = "项目")
    private String duesItem;

    /** 党费进出，1收/0支 */
    @Excel(name = "党费进出，1收/0支")
    private String duesInOut;

    /** 支付类型，1账面/0现金 */
    @Excel(name = "支付类型，1账面/0现金")
    private String duesType;

    /** 金额 */
    @Excel(name = "金额")
    private String duesAmount;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    public void setDuesId(Long duesId) 
    {
        this.duesId = duesId;
    }

    public Long getDuesId() 
    {
        return duesId;
    }

    public void setDuesTime(Date duesTime) 
    {
        this.duesTime = duesTime;
    }

    public Date getDuesTime() 
    {
        return duesTime;
    }

    public void setDuesItem(String duesItem) 
    {
        this.duesItem = duesItem;
    }

    public String getDuesItem() 
    {
        return duesItem;
    }

    public void setDuesInOut(String duesInOut) 
    {
        this.duesInOut = duesInOut;
    }

    public String getDuesInOut() 
    {
        return duesInOut;
    }

    public void setDuesType(String duesType) 
    {
        this.duesType = duesType;
    }

    public String getDuesType() 
    {
        return duesType;
    }

    public void setDuesAmount(String duesAmount)
    {
        this.duesAmount = duesAmount;
    }

    public String getDuesAmount()
    {
        return duesAmount;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public String getDuesYear() {
        return duesYear;
    }

    public void setDuesYear(String duesYear) {
        this.duesYear = duesYear;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("duesId", getDuesId())
            .append("duesTime", getDuesTime())
            .append("duesItem", getDuesItem())
            .append("duesInOut", getDuesInOut())
            .append("duesType", getDuesType())
            .append("duesAmount", getDuesAmount())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
